from datetime import datetime, timedelta

def generate_pt_voucher_code(voucher_code, patient_id, discount_amount_sessions_assigned, 
                         max_sessions, discount_amount_visits_assigned, max_visits, 
                         validity_days):
    """
    Generates voucher data similar to the JavaScript version
    
    Args:
        voucher_code: Base voucher code (e.g., "ABCD")
        patient_id: Patient ID to include in the code
        discount_amount_sessions_assigned: Discount amount for sessions
        max_sessions: Maximum number of sessions
        discount_amount_visits_assigned: Discount amount for visits
        max_visits: Maximum number of visits
        validity_days: Number of days until voucher expires
        
    Returns:
        Dictionary containing voucher data
    """
    voucher_code_letters = list(voucher_code)  # Split into individual letters
    
    first_part = f"{voucher_code_letters[0]}{patient_id}"
    second_part = f"{voucher_code_letters[1]}{discount_amount_sessions_assigned}"
    third_part = f"{voucher_code_letters[2]}{max_sessions}"
    fourth_part = f"{voucher_code_letters[1]}{discount_amount_visits_assigned}"
    fifth_part = f"{voucher_code_letters[3]}{max_visits}"
    
    voucher_code_assigned = f"{first_part}{second_part}{third_part}{fourth_part}{fifth_part}"
    
   
    
    return voucher_code_assigned